RISC-V: don't assume PI mutexes and robust futexes before 4.20 (bug 23864)

Message ID mvmbm72jz58.fsf@suse.de
State New
Headers show
Series
  • RISC-V: don't assume PI mutexes and robust futexes before 4.20 (bug 23864)
Related show

Commit Message

Andreas Schwab Nov. 6, 2018, 10:09 a.m.
Support for futex_cmpxchg as only been added to 4.20-rc1.

Andreas.

	[BZ #23864]
	* sysdeps/unix/sysv/linux/riscv/kernel-features.h
	(__ASSUME_SET_ROBUST_LIST) [__LINUX_KERNEL_VERSION < 0x041400]:
	Undef.
---
 sysdeps/unix/sysv/linux/riscv/kernel-features.h | 5 +++++
 1 file changed, 5 insertions(+)

-- 
2.19.1


-- 
Andreas Schwab, SUSE Labs, schwab@suse.de
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."

Patch

diff --git a/sysdeps/unix/sysv/linux/riscv/kernel-features.h b/sysdeps/unix/sysv/linux/riscv/kernel-features.h
index 37f4d99a92..d21c824624 100644
--- a/sysdeps/unix/sysv/linux/riscv/kernel-features.h
+++ b/sysdeps/unix/sysv/linux/riscv/kernel-features.h
@@ -21,3 +21,8 @@ 
 
 #undef __ASSUME_CLONE_DEFAULT
 #define __ASSUME_CLONE_BACKWARDS 1
+
+/* No support for PI mutexes or robust futexes before 4.20.  */
+#if __LINUX_KERNEL_VERSION < 0x041400
+# undef __ASSUME_SET_ROBUST_LIST
+#endif